<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd 
*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
  require('includes/application_top.php'); 
  tep_get_last_access_file();
  require('includes/classes/pdfTable.php');  
  require(DIR_WS_FUNCTIONS . 'events_tree.php');
  require(DIR_WS_CLASSES . 'split_page_results_report.php');
  define(BOX_WIDTH1,'125');

	// get initial parameters, first check to get previous settings from session if var "return" is present
	if (isset($HTTP_GET_VARS["return"]) && isset($HTTP_SESSION_VARS["rep_params"])){
		$input_params=&$HTTP_SESSION_VARS["rep_params"];
	} else {
		$input_params=&$HTTP_POST_VARS;
		if (isset($input_params["post_action"])){
			tep_set_session_value("rep_params",$HTTP_POST_VARS);
			$GLOBALS["rep_params"]["post_action"]="screen";
		} else {
			tep_set_session_value("rep_params",array());
		}
	}
	$date=isset($input_params['txtDate'])?tep_convert_date_raw($input_params['txtDate']):getServerDate();
	if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY){
		$instructor=$login_id;
	} else {
		$instructor=isset($input_params['sel_instructor'])?$input_params['sel_instructor']:-1;
	}
	$view=isset($input_params['sel_view'])?$input_params['sel_view']:1;
	$location=isset($input_params['sel_location'])?$input_params['sel_location']:-1;
	$event=isset($input_params['sel_event'])?$input_params['sel_event']:-1;
	$post_action = isset($input_params['post_action'])?$input_params['post_action']:'';
	$output_pdf=isset($input_params['chk_output_pdf'])?true:false;
	$output_excel=isset($input_params['chk_output_excel'])?true:false;
	$page = isset($input_params['page'])?$input_params['page']:1;
	
	$date_begin = $date;
	$date_end = $date;
	$days= date('t',strtotime($date));		
	$search_header="";

	if ($post_action==""){
		$output_pdf=true;
		$post_action="screen";
	}	
	if($view==2) {
		$sql =  "select date_add('$date', interval -(dayofweek('$date')-1) day) begin, date_add('$date', interval (7-dayofweek('$date')) day) end";	
	} else if($view==3) {
		$sql =  "select date_add('$date', interval -(dayofmonth('$date')-1) day) begin, date_add('$date', interval ('$days'-dayofmonth('$date')) day) end";	
	}
	if($view==2 || $view==3) {
		$sql_result = tep_db_query($sql);
		$row = mysql_fetch_assoc($sql_result);
		$date_begin = $row["begin"];
		$date_end = $row["end"];	
	}
	
	// create the header text for pdf output
	$display_header=TEXT_DAY .  ":&nbsp;&nbsp;" . $date . "&nbsp;&nbsp;&nbsp;&nbsp;";
	if ($view==1) {
		$display_header.=TEXT_VIEW .  ":&nbsp;&nbsp;" . TEXT_DAY . "\t";
	} else if ($view==2){
		$display_header.=TEXT_VIEW .  ":&nbsp;&nbsp;" . TEXT_WEEK . "\t";
	} else {
		$display_header.=TEXT_VIEW .  ":&nbsp;&nbsp;" . TEXT_MONTH . "\t";
	}
	if ($instructor=="-1") $display_header.=TEXT_INSTRUCTOR . ":&nbsp;&nbsp;" . TEXT_ALL_INSTRUCTORS ."\t";
	if ($location=="-1") $display_header.=TEXT_LOCATION . ":&nbsp;&nbsp;" . TEXT_ALL_LOCATIONS  ."\t";
	if ($event=="-1") $display_header.=TEXT_EVENT . ":&nbsp;&nbsp;" . TEXT_ALL_EVENTS  ."\t";
	
	$instructors_array = array();
	$events_array = array();
	$locations_array=array();

	$view_array=array(array("id"=>1,"text"=>TEXT_DAY),array("id"=>2,"text"=>TEXT_WEEK),array("id"=>3,"text"=>TEXT_MONTH));

	// get instructor names
	$instructor_option="";
	if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY){
		$instructor_option=" and a.admin_id='" . $login_id . "' "; 
	} else {
		$instructors_array[]=array("id"=>-1,"text"=>TEXT_ALL_INSTRUCTORS);
	}
	$sql = "select a.admin_id admin_id, admin_firstname, admin_lastname  from events_instructors ei, admin a where ei.admin_id=a.admin_id " . $instructor_option . " order by admin_firstname,admin_lastname";
	$sql_result = tep_db_query($sql);
	$num_rows = tep_db_num_rows($sql_result);
	
	while($row=tep_db_fetch_array($sql_result)) {
		$instructors_array[]=array("id"=>$row["admin_id"],"text"=>$row["admin_firstname"]." ".$row["admin_lastname"]);
		if ($row["admin_id"]==$instructor){
			$display_header.=TEXT_INSTRUCTOR  . ":&nbsp;&nbsp;" . $row["admin_firstname"]." ".$row["admin_lastname"] . "\t";
		}
	}
	mysql_free_result($sql_result);
		
	// get location names
	$sql = "select distinct location_id, location_name from events,events_locations where location_id=events_location order by location_name";
	$sql_result = tep_db_query($sql);
	$locations_array[]=array("id"=>-1,"text"=>TEXT_ALL_LOCATIONS);
	while($row=tep_db_fetch_array($sql_result)) {
		$locations_array[]=array("id"=>$row["location_id"],"text"=>$row["location_name"]);
		if ($row["location_id"]==$location){
			$display_header.=TEXT_LOCATION  . ":&nbsp;&nbsp;" . $row["location_name"] . "\t";
		}
	}
	mysql_free_result($sql_result);
		
	$events_option="";
	if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY) $events_option=" and e.events_instructor='" . $login_id . "'";
	$sql = "select e.events_id events_id, Events_name  events_name from events e, events_description ed where e.events_id = ed.events_id and ed.language_id='" . $languages_id ."'" . EVENTS_CONDITION_STATUS . $events_option . " order by events_name";
	$sql_result = tep_db_query($sql);
	$events_array[]=array("id"=>-1,"text"=>TEXT_ALL_EVENTS);
	while($row=tep_db_fetch_array($sql_result)) {
		$events_array[]=array("id"=>$row["events_id"],"text"=>$row["events_name"]);
		if ($row["events_id"]==$event){
			$display_header.=TEXT_EVENT  . ":&nbsp;&nbsp;" . $row["events_name"];
		}
	}
	mysql_free_result($sql_result);
	
	$found_results=false;
	// build the output if needed
		$where = " ";
		if($instructor!="-1") {
			$where.= "and e.events_instructor='".$instructor."' ";
		} 
		if($location!="-1") {
			$where.= "and e.events_location='".$location."' ";
		}
		if($event!="-1") {
			$where.= "and e.events_id='".$event."' ";
		}
		/*$sql = "select e.events_id events_id, sessions_id, o.orders_id, o.customers_name customers_name,o.customers_id,
		concat(a.admin_firstname,'',a.admin_lastname) as instructor_name,o.customers_email_address customers_email_address, 
		o.customers_telephone customers_telephone, o.customers_street_address,o.customers_fax,
		e.events_instructor events_instructor, e.events_location events_location, ed.events_name events_name,
		max(start_date) as end_date, min(start_date) as start_date,time_format(e.events_start_time,'%h:%i %p') as start_time, events_type, waitlist_type, orders_status
		from " . TABLE_EVENTS_SESSIONS . " es, " . TABLE_EVENTS_ATTENDEES_CONFIRM . " op," . TABLE_EVENTS_ATTENDEES_CONFIRM . " et, " . TABLE_ORDERS . " o, " . TABLE_EVENTS . " e, " . TABLE_EVENTS_DESCRIPTION . " ed 
		LEFT JOIN	" . TABLE_ADMIN . " a on a.admin_id=e.events_instructor 
		where sessions_id = et.sessions_id and op.products_id=et.sessions_id and op.orders_id=o.orders_id and e.events_id=et.events_id 
		and op.products_type='E' and ed.events_id=e.events_id 
		and (events_type='R') ".$where." group by customers_id,events_id having (start_date>='$date_begin' and start_date<='$date_end') order by events_name,start_date,e.events_start_time,a.admin_firstname desc ";*/

		// create the query to fetch the attendees details for every event
		$sql = "select e.events_id events_id,op.products_quantity, es.sessions_id, concat(LTRIM(c.customers_lastname),' ',LTRIM(c.customers_firstname)) as customers_name,c.customers_id,
		concat(a.admin_firstname,'',a.admin_lastname) as instructor_name,c.customers_email_address customers_email_address, 
		c.customers_telephone customers_telephone, c.customers_fax,
		e.events_instructor events_instructor, e.events_location events_location, ed.events_name events_name,
		max(start_date) as end_date, 
		min(start_date) as start_date,e.events_group_bookings,o.orders_id from " . TABLE_ORDERS . " o, ". TABLE_EVENTS_SESSIONS . " es, " . TABLE_EVENTS_ATTENDEES_CONFIRM . " et, " .  TABLE_ORDERS_PRODUCTS  . " op, " . TABLE_CUSTOMERS . " c, "  . TABLE_EVENTS_DESCRIPTION . " ed,(" .
		TABLE_EVENTS . " e LEFT JOIN " . TABLE_ADMIN . " a on a.admin_id=e.events_instructor) where ed.language_id='" . $languages_id . "'
		and es.sessions_id = et.sessions_id and et.customers_id=c.customers_id and o.customers_id=c.customers_id and e.events_id=et.events_id and op.products_id=es.sessions_id
		and ed.events_id=e.events_id and (es.start_date>='$date_begin' and es.start_date<='$date_end')".$where." group by c.customers_id,e.events_id order by events_name,es.start_date desc,customers_name ASC ";
		
		//echo $sql; 
		
		if ($post_action=="screen"){
			// split the result
			$query_split = new splitPageResultsReport($page, REPORT_MAX_ROWS_PAGE, $sql, $query_split_numrows);
		}
	
		$sql_result=tep_db_query($sql);
		$num_rows=tep_db_num_rows($sql_result);
		if ($num_rows>0) $found_results=true;
		$report_filename=sprintf("events_attendees_%s_%s",$login_id,time());
		// output the pdf
		if ($post_action=="pdf"){
			generate_pdf();
			tep_redirect(DIR_WS_CATALOG . "images/".$report_filename.".pdf");
			return;
		}
		// output the excel
		if ($post_action=="excel"){
			generate_excel();
			tep_redirect(DIR_WS_CATALOG . "images/".$report_filename.".csv");
			return;
		}
		tep_delete_temp_files("events_attendees_" . $login_id);
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
<script language="JavaScript">
	function doReport(mode) {
		if (mode==3){
			document.f.post_action.value="excel"
			document.f.target="_blank";
		} else if (mode==2){
			document.f.post_action.value="pdf";
			document.f.target="_blank";
		} else {
			document.f.post_action.value="screen";
			document.f.target="_self";
		}
		document.f.submit();
	}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<div id="spiffycalendar" class="text"></div>
	<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
	<!-- header_eof //-->
	<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
<tr> 
	<!-- body_text //-->	  
	<td width=100% align=left valign="top">
	<table border="0" width="100%" cellspacing="0" cellpadding="2">
		<tr height="10">
			<!---<td class="pageHeading"><?php //echo HEADING_EVENTS_ATTENDEES;?></td>!--->	
		</tr>
        <tr >
		  	<TD>
			<?php 	echo tep_draw_form("f",FILENAME_EVENTS_ATTENDEES);
					echo tep_draw_hidden_field("post_action","yes");
			?>
			<table border="0" cellspacing="3" cellpadding="2" class="searchArea" width="100%">
				<tr>
					<td nowrap="true"><?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
					<?php echo '&nbsp;'."Date" . '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . tep_draw_input_field("txtDate",format_date($date),'maxlength="10" size="10"');?>
						<a href="javascript:show_calendar('f.txtDate',null,null,'<?php echo $date_format;?>');"
						onmouseover="window.status='Date Picker';return true;"
						onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
						</a>
					</TD>
					<td nowrap="true">
						<?php    
							echo '&nbsp;'.TEXT_INSTRUCTOR . '&nbsp;' . tep_draw_pull_down_menu("sel_instructor",$instructors_array,$instructor);
							echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . TEXT_VIEW . '&nbsp;' . tep_draw_pull_down_menu("sel_view",$view_array,$view);
						?>
					</td>
					<td valign="middle" align="right">
						<?php echo '<a href="javascript:doReport(1);">' . tep_image_button('button_report_search.gif', IMAGE_SEARCH_DETAILS) . '</a>'; ?>
					</td>
				</tr>
					<tr>
				<td nowrap="true">
					<?php echo '&nbsp;'.TEXT_LOCATION . '&nbsp;' . tep_draw_pull_down_menu("sel_location",$locations_array,$location);?>
				</td>
				<td nowrap="true">
				<?php 
					$all_events_array=array();
					$all_events_array = tep_get_events_array_single();
					if(sizeof($all_events_array)<=0) echo 'Events are not Available';
					else echo '&nbsp;'.TEXT_EVENT . '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . tep_draw_event_select_menu('sel_event',$all_events_array,$event,' id="sel_event"');
				?>
				</td>


				<td class="main" valign="middle" align="right">
						<?php echo '<a href="javascript:doReport(2);">' . tep_image_button('button_export_pdf.gif', IMG_EXPORT_PDF) . '</a>';?>
				</td>
				</tr>
				<tr>
				<td class="main" valign="middle" align="right" colspan="3">



					<?php echo '<a href="javascript:doReport(3);">' . tep_image_button('button_export_excel.gif', IMG_EXPORT_EXCEL) . '</a>';?>
					</td>
				</tr>
			<!-- report content -->
		</table>
		</form>
		</td>
		</tr>
		<tr ><td class="cell_bg_report_header">&nbsp;</td></tr>
	<?php if ($found_results) { ?>
		<tr>
					<td>
					<table border="0" width="100%" cellspacing="0" cellpadding="2">
						<tr>
							<td class="smallText" align="left">
								<?php echo $query_split->display_links($query_split_numrows, REPORT_MAX_ROWS_PAGE, REPORT_MAX_LINKS_PAGE, $page,tep_get_report_params()); ?>&nbsp;
							</td>
						</tr>
					</table>
					</td>
		</tr>
		<tr>
		<td>
	   <table border="0" width="100%" cellspacing="1" cellpadding="1">
			<tr class='dataTableHeadingTitleRow'>
				<td class='dataTableHeadingTitleContent' width="30"><?php echo TEXT_ID;?></td>
				<td class='dataTableHeadingTitleContent'><?php echo TEXT_NAME;?></td>
				<td class='dataTableHeadingTitleContent' width="130"><?php echo TEXT_PHONE;?></td>
				<td class='dataTableHeadingTitleContent' width="50"><?php echo TEXT_EMAIL;?></td>
				<td class='dataTableHeadingTitleContent' width="80"><?php echo TEXT_START;?></td>
				<td class='dataTableHeadingTitleContent' width="80"><?php echo TEXT_END;?></td>
				<td class='dataTableHeadingTitleContent' width="80">&nbsp;</td>
			</tr>
			<?php
					$i=1;
					$prev_events_id=0;
					mysql_data_seek($sql_result,0);
          			while($row = tep_db_fetch_array($sql_result)) { 
					//print_r ($row);
						$events_id=$row["events_id"];
						if ($prev_events_id!=$events_id) { // output event name
						?>
					<tr>
						<td class="dataTableContent" style="cursor:hand" colspan="6" height="20">
							<b><?php
								echo $row["events_name"];
								$prev_events_id=$events_id;
							?></b>
						</td>
					</tr>
					<?php }?>
                  <tr class='dataTableRow' height="20" onMouseOver="rowOverEffect(this)" onMouseOut="rowOutEffect(this)" onClick="javascript:location.href='customers.php?cID=<?php echo $row["customers_id"];?>&action=edit&return=ev';">
					  <td class='dataTableContent' style="cursor:hand"><?php echo $i?></td>
					  <td class='dataTableContent' style="cursor:hand"><?php echo $row['customers_name']?></td>
					  <td class='dataTableContent' style="cursor:hand"><?php echo $row['customers_telephone']?></td>
					  <td class='dataTableContent' style="cursor:hand" align="center"> <a href="mailto:<?php echo $row['customers_email_address']?>"><img src="images/icons/mail.gif" border="0"></a></td>
					  <td class='dataTableContent' style="cursor:hand"><?php echo format_date($row['start_date']);?></td>
					  <td class='dataTableContent' style="cursor:hand"><?php echo format_date($row['end_date']);?></td>
					  <?php  
					  $group=""; 
					  if($row['events_group_bookings']=='Y' && $row['products_quantity']>1 )
					  	 $group=tep_image(DIR_WS_IMAGES . 'multi_booking.gif',TEXT_GROUP_BOOKINGS);
					  ?>
					 <td class='dataTableContent' style="cursor:hand"><a href="<?php echo tep_href_link(FILENAME_ORDERS,'oID='.$row['orders_id'].'&action=edit&return=en');?>"><?php echo $group;?></a></td>
                  </tr>
			<?php 
						$i++;						
					$attendees_name='';
				if($row['events_group_bookings']=='Y' && $row['products_quantity']>1){  
							
			  				$attendee_names_query = tep_db_query("select distinct c.customers_firstname,c.customers_lastname from ". TABLE_CUSTOMERS ." c, ". TABLE_CUSTOMERS_TO_CUSTOMERS ." ctc where ctc.customer_id=c.customers_id and ctc.orders_id='".(int)$row['orders_id']."'");
			  			while($attendee_result=tep_db_fetch_array($attendee_names_query)){
							$attendees_name.=$attendee_result['customers_firstname'].' '.$attendee_result['customers_lastname'].',';
						}
						if ($attendees_name!=""){
							$start_name=strpos($attendees_name,',',1);
							$attendees_name=substr($attendees_name,$start_name+1,-1);
							
							//$attendees_name=substr($attendees_name,0,-1);
						}?>
				<tr>
					<td colspan="9" class="dataTableContent"><?php echo tep_draw_separator('pixel_trans.gif',25,1).'<b>'.TEXT_ATTENDEES .'</b><br>'.tep_draw_separator('pixel_trans.gif',35,1) .'-'.$attendees_name; ?></td>
				</tr>
		<?php			}	
					} //end of while	
			     } //end of found results
				else{
					echo '<tr><td class="main" align="center">' . TEXT_NO_RECORDS_FOUND . '</td></tr>';
				}
			?>
	</table>
	</TD>
	</tr>
</table>
</td>
</tr>
</table>
	<!-- footer //-->
	<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
	<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); 

// function to create pdf details
	function generate_pdf(){
		global $sql_result,$display_header,$found_results,$login_id,$report_filename;
		
		// set initial parameters
		$table=new pdfTable("A4","l");
		$table->left_margin=20;
		$table->top_margin=20;
		$table->right_margin=20;
		$table->bottom_margin=20;
		$table->pdfInit();
		
		// Add Styles for table
		$table->AddStyle("heading","color:#727272;bgcolor:#ffffff;font:Arial;size:18;style:B");
		$table->AddStyle("user","color:#000000;bgcolor:#f1f9fe;font:Arial;size:14;style:B;border-color:#7b9ebd");
		$table->AddStyle("subhead","color:#000000;bgcolor:#7b9ebd;font:Arial;size:10;style:B");
		$table->AddStyle("headrow","color:#000000;bgcolor:#C9C9C9;font:Arial;size:10;style:B");
		$table->AddStyle("row","color:#000000;bgcolor:#F0F1F1;font:Arial;size:10");
		$table->AddStyle("query","color:#000000;bgcolor:#FFFFFF;font:Arial;size:11");
		$table->AddStyle("subrow","color:#000000;bgcolor:#FFFFFF;font:Arial;size:10");
		$table->AddStyle("subrowhead","color:#000000;bgcolor:#FFFFFF;font:Arial;size:10;style:B");

		$table->headers["text"]=$display_header;
		$table->headers["style"]="query";
		$table->headers["height"]=12;
		$table->headers["width"]="100%";
		$table->headers["cols"]=3;

		// define column width
		$widths[0]=$table->width*5/100;
		$widths[2]=$table->width*10/100;
		$widths[3]=$table->width*10/100;
		$widths[4]=$table->width*10/100;
		$widths[5]=$table->width*10/100;
		
		$widths[1]=$table->width-($widths[0]+$widths[2]+$widths[3]+$widths[4]+$widths[5]);

		if ($found_results){
		// output header details
		$cols=array();
		$cols[]=array("text"=>TEXT_ID,"width"=>$widths[0],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>TEXT_NAME,"width"=>$widths[1],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>TEXT_PHONE,"width"=>$widths[2],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>TEXT_START,"width"=>$widths[3],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>TEXT_END,"width"=>$widths[4],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>'',"width"=>$widths[5],"align"=>"L","style"=>"headrow","valign"=>"M");
		$table->tableheaders["text"]=$cols;
		unset($cols);
		$i=1;
		mysql_data_seek($sql_result,0);
		$prev_events_id=0;
		// output content
		while($row = tep_db_fetch_array($sql_result)) {
			$events_id=$row["events_id"];
			if ($prev_events_id!=$events_id) {
				$cols=array();
				$cols[]=array("text"=>$row["events_name"],"width"=>$widths[0]+$widths[1]+$widths[2]+$widths[3]+$widths[4],"align"=>"L","style"=>"subrowhead","valign"=>"M");
				$table->OutputRow($cols,15);
				unset($cols);
				$prev_events_id=$events_id;
			}
			$group="";
			if($row['events_group_bookings']=='Y' && $row['products_quantity']>=1)
				$group=TEXT_GROUP_BOOKINGS;
			$cols=array();
			$cols[]=array("text"=>$i,"width"=>$widths[0],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>$row['customers_name'],"width"=>$widths[1],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>$row['customers_telephone'],"width"=>$widths[2],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>format_date($row['start_date']),"width"=>$widths[3],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>format_date($row['end_date']),"width"=>$widths[4],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>$group,"width"=>$widths[5],"align"=>"L","style"=>"row","valign"=>"M");
			$table->OutputRowMultiple($cols,15);
			unset($cols);
			$i++;						
		}
		} else {
			$cols[]=array("text"=>TEXT_NO_RECORDS_FOUND,"width"=>"100%","align"=>"C","style"=>"subrow","valign"=>"M");
			$table->OutputRow($cols,15);
			unset($cols);
		}
		// create pdf page
		$table->Render($report_filename.".pdf");
	}
	function generate_excel(){
		global $sql_result,$found_results,$login_id,$report_filename;
		$result="";
		$i=1;
		$group="";
		if($row['events_group_bookings']=='Y' && $row['products_quantity']>=1)
			$group=TEXT_GROUP_BOOKINGS;
		if ($found_results){
		$result.=TEXT_ID . "," . TEXT_NAME . "," . TEXT_PHONE . "," . TEXT_START . "," . TEXT_END .",". ''  ."\n";
		mysql_data_seek($sql_result,0);
		$prev_events_id=0;
		while($row = tep_db_fetch_array($sql_result)) {
			$events_id=$row["events_id"];
			if ($prev_events_id!=$events_id) {
				$result.=$row["events_name"] . "\n";
				$prev_events_id=$events_id;
			}
			$result.=$i . "," .$row['customers_name']. "," . $row['customers_telephone'] . "," .
					format_date($row['start_date']) . "," .format_date($row['end_date']) .",". $group . "\n";
			$i++;						
		}
		} else {
			$result.=TEXT_NO_RECORDS_FOUND . "\n";
		}
		tep_write_text_file($report_filename.".csv",$result);
	}
?>